Bug 1004409 - [RFE][glance]: Add cli option --log export list of deleted images and ID
[RFE][glance]: Add cli option --log export list of deleted images and ID
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-glanceclient (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Flavio Percoco
nlevinki
https://blueprints.launchpad.net/glan...
storage upstream_milestone_none upstr...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 10:56 EDT by Dafna Ron
Modified: 2016-04-26 11:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-17 09:37:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-09-04 10:56:46 EDT
Description of problem:

it would be helpful to users if we had a --log option for glance image-delete so that user can request a print of all the deleted images (names and ID) 

Version-Release number of selected component (if applicable):

openstack-glance-2013.1.3-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create several images 
2. delete all of the images in one command
3.

Actual results:

only if we fail to delete one of the images we would see a print on it else we have no output and no option to add it. 

Expected results:

I think in deleted images user might want a record of the images that were deleted and to be able to save them to file. 
I would also go as far as to ask that we will allow admin user to configure this option as default for the environment. 

Additional info:
Comment 1 Dafna Ron 2013-09-04 10:58:50 EDT
https://bugs.launchpad.net/glance/+bug/1220760
Comment 2 Flavio Percoco 2015-03-17 09:37:22 EDT
This is worth keeping just upstream and let the community take over on the details and implementation. closing.

Note You need to log in before you can comment on or make changes to this bug.